package yi.iu.imgdb.learn;

import org.jmat.gui.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Extends the frame viewer from jmat, which doesn't support "exit"
 */
public class ExistablePlotViewer extends FrameView {
  public ExistablePlotViewer(JPanel panel) {
    super(panel);
  }

  public ExistablePlotViewer(String title,JPanel panel) {
    super(title, panel);
  }

   public ExistablePlotViewer(JPanel[] panels) {
     super(panels);
  }
  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      super.processWindowEvent(e);
      System.exit(0);
    }
    super.processWindowEvent(e);
  }

}
